Bug 717795 - Man page documention error for the -e option
Man page documention error for the -e option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 17:38 EDT by Bruno Wolff III
Modified: 2011-07-30 23:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: mdadm-3.2.2-6.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-30 23:38:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2011-06-29 17:38:43 EDT
Description of problem:
In the following text from the man page:
 1, 1.0, 1.1, 1.2 default
                     Use the new version-1 format superblock.  This has  fewer
                     restrictions.   It can easily be moved between hosts with
                     different endian-ness, and a recovery  operation  can  be
                     checkpointed  and  restarted.  The different sub-versions
                     store  the  superblock  at  different  locations  on  the
                     device,  either  at  the end (for 1.0), at the start (for
                     1.1) or 4K from the start (for 1.2).  "1"  is  equivalent
                     to "1.0".  "default" is equivalent to "1.2".

tt is incorrect that 1 is equivalent to 1.0. It is in fact equivalent to 1.2.
I wanted to use 1.0 for partitions that grub needed to access and I noticed that using -e 1 wasn't doing what I expected based on the man page.


Version-Release number of selected component (if applicable):
mdadm-3.1.5-2.fc15.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2011-07-15 14:09:21 EDT
mdadm-3.2.2-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.2-5.fc15
Comment 2 Fedora Update System 2011-07-16 03:35:27 EDT
Package mdadm-3.2.2-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.2-5.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/mdadm-3.2.2-5.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-07-18 18:46:27 EDT
Package mdadm-3.2.2-6.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.2-6.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/mdadm-3.2.2-6.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-07-30 23:37:56 EDT
mdadm-3.2.2-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.